| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Plot2d.GraphPlotItem Class Reference

Representation of a plottable item contained in a graph. This excludes markup markups such as axes, legends, etc. More...

Inheritance diagram for IG.Plot2d.GraphPlotItem:
[legend]
Collaboration diagram for IG.Plot2d.GraphPlotItem:
[legend]

## Public Member Functions
| GraphPlotItem (GraphBase graph)
Public Member Functions inherited from IG.Plot2d.GraphItem
| GraphItem (GraphBase graph)
abstract void | UpdateInGraph ()
| Updates the current item in the containing control. More...
abstract void | DetachFromGraph ()
| Detaches the current item from the graph. More...

## Protected Attributes
double | _minX

## Properties
int | Index`[get]`
| Gets index of the current plot item on the Graph. More...
double | MinX`[get, protected set]`
| Minimal x co-ordinate of the plotted data. More...
double | MaxX`[get, protected set]`
| Maximal x co-ordinate of the plotted data. More...
double | MinY`[get, protected set]`
| Minimal y co-ordinate of the plotted data. More...
double | MaxY`[get, protected set]`
| Maximal y co-ordinate of the plotted data. More...
Properties inherited from IG.Plot2d.GraphItem
GraphBase | Graph`[get, protected set]`
| Graph that contains this axis. More...

## Private Attributes
double | _maxX
double | _minY
double | _maxY

## Detailed Description

Representation of a plottable item contained in a graph. This excludes markup markups such as axes, legends, etc.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphPlotItem.GraphPlotItem | ( | GraphBase | graph | ) |
| inline

## Member Data Documentation

double IG.Plot2d.GraphPlotItem._minX
| protected

double IG.Plot2d.GraphPlotItem._maxX
| private

double IG.Plot2d.GraphPlotItem._minY
| private

double IG.Plot2d.GraphPlotItem._maxY
| private

## Property Documentation

int IG.Plot2d.GraphPlotItem.Index
| get

Gets index of the current plot item on the Graph.

double IG.Plot2d.GraphPlotItem.MinX
| get protected set

Minimal x co-ordinate of the plotted data.

double IG.Plot2d.GraphPlotItem.MaxX
| get protected set

Maximal x co-ordinate of the plotted data.

double IG.Plot2d.GraphPlotItem.MinY
| get protected set

Minimal y co-ordinate of the plotted data.

double IG.Plot2d.GraphPlotItem.MaxY
| get protected set

Maximal y co-ordinate of the plotted data.

The documentation for this class was generated from the following file:

- extensions/igplot2d/plot2d/develop/graph/GraphPlotItem.cs